LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XUndoAction Interface Reference

represents a single (undoable) action on a document More...

`import"XUndoAction.idl";`

## Public Member Functions
void | undo () raises ( ::com::sun::star::document::UndoFailedException )
| reverts the action represented by the instance More...
void | redo () raises ( ::com::sun::star::document::UndoFailedException )
| repeats the action represented by the instance, after it had previously been reverted. More...

## Public Attributes
string | Title
| is the human-readable, localized description of the action. More...

## Detailed Description

represents a single (undoable) action on a document

Since
  OOo 3.4

## Member Function Documentation

## ◆ redo()

void redo | ( |  | ) |
raises | ( | ::com::sun::star::document::UndoFailedException
| ) |  |

repeats the action represented by the instance, after it had previously been reverted.

Exceptions

  UndoFailedException | if repeating the action failed. In this case, the caller should assume that this is a permanent failure, and take appropriate action, such as discarding the `XUndoAction` instance, and any possibly depending instances.

## ◆ undo()

void undo | ( |  | ) |
raises | ( | ::com::sun::star::document::UndoFailedException
| ) |  |

reverts the action represented by the instance

Exceptions

  UndoFailedException | if reverting the action failed. In this case, the caller should assume that this is a permanent failure, and take appropriate action, such as discarding the `XUndoAction` instance, and any possibly depending instances.

## Member Data Documentation

## ◆ Title

string Title
| attribute readonly

is the human-readable, localized description of the action.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XUndoAction.idl